MEMCCPY(3)

NAME
memccpy - copy string until character found

SYNOPSIS
#include <string.h>
void *
memccpy(void *dst, const void *src, int c, size_t len);

DESCRIPTION
The memccpy() function copies bytes from string src to string dst. If the character c (as converted to an unsigned char) occurs in the string src, the copy stops and a pointer to the byte after the copy of c in the string dst is returned. Otherwise, len bytes are copied, and a null pointer is returned.

SEE ALSO
bcopy(3), memcpy(3), memmove(3), strcpy(3), strlcpy(3)

HISTORY
The memccpy() function first appeared in AT&T UNIX and was reimplemented for 4.3BSD Tahoe.